<?php

/**
 * The template for displaying 404 pages (not found).
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package ECD
 */

get_header(); ?>

<div id="primary" class="content-area">
    <main id="main" class="site-main" role="main">
        <section class="page-hero-section" style="background-image:url(<?php echo wp_get_attachment_image_url(get_field('page_hero_image', 'option'), 'full'); ?>)">
            <div class="container">
                <?php if (function_exists('yoast_breadcrumb')) {
                    yoast_breadcrumb('<p id="breadcrumbs">', '</p>');
                } ?>
                <h1><?php _e('Oops!', 'ecd'); ?></h1>
            </div>
        </section>

        <section class="main-page-content search-content-wrap">
            <div class="container">
                <div class="error-content">
                    <img class="mobile-img" src="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/404-mobile@1x.png" srcset="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/404-mobile@1x.png, <?php echo get_stylesheet_directory_uri(); ?>/assets/images/404-mobile@2x.png 2x" alt="404" />

                    <img class="desktop-img" src="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/404-desktop1x.png" alt="404" />

                    <h2><?php _e('Error: page not found!', 'ecd'); ?></h2>
                    <a class="button orange border" href="<?php echo home_url(); ?>"><?php _e('Go to Homepage', 'ecd'); ?></a>
                </div>
            </div>
        </section>

    </main><!-- #main -->
</div><!-- #primary -->

<?php get_footer(); ?>