<?php

/**
 * The template for displaying archive pages.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package ECD
 */
$title = get_queried_object()->name;
$current_id = get_queried_object_id();

get_header(); ?>

<div id="primary" class="content-area">
    <main id="main" class="site-main" role="main">

        <section class="page-hero-section" style="background-image:url(<?php echo wp_get_attachment_image_url(get_field('page_hero_image', 'option'), 'full'); ?>)">
            <div class="container">
                <?php if (function_exists('yoast_breadcrumb')) {
                    yoast_breadcrumb('<p id="breadcrumbs">', '</p>');
                } ?>
                <h1><?php echo ( is_tag() ) ? __( 'Tag:', 'ecd' ) : ''; ?> <?php echo $title; ?></h1>
            </div>
        </section>

        <section class="posts-section">
            <div class="container">
                <?php
                $cats = get_terms('category', array('hide_empty' => 'false')); ?>

                <?php if ($cats && !is_tag()) : ?>
                    <a href="#" class="toggle-cats"><span><?php _e('Categories', 'ecd'); ?></span><i class="fas fa-chevron-right"></i></a>

                    <div class="cats-wrap">
                        <?php foreach ($cats as $cat) : ?>
                        <a class="cat-link <?php if ( $current_id == $cat->term_id ) : ?>active<?php endif; ?>" href="<?php echo get_term_link($cat->term_id); ?>"><span style="background-color:<?php echo get_field('color', 'category_' . $cat->term_id); ?>"></span><?php echo $cat->name; ?></a>
                        <?php endforeach; ?>
                    </div>
                <?php endif; ?>
                
                <?php if (have_posts()) : ?>

                    <div class="posts-wrap">
                        <?php while (have_posts()) : the_post(); ?>

                            <?php get_template_part('template-parts/content', 'post'); ?>

                        <?php endwhile; ?>
                    </div>

                    <?php echo ecd_page_numbers_pagination(); ?>

                <?php else : ?>

                    <?php get_template_part('template-parts/content', 'none'); ?>

                <?php endif; ?>
            </div>
        </section>
    </main><!-- #main -->
</div><!-- #primary -->

<?php
get_footer();
