(function ($) {
    'use strict';

    $(document).ready(function ($) {

   /* ========================================================================
    * Load More News & Media
    * ======================================================================== */

        var body = $('body'),
            loadMoreNews = $('.page-template-research-landing #blog_loadmore'),
            newsWrap = $('.page-template-research-landing .news-posts-wrap'),
            newsTitle = $('.page-template-research-landing .news-title'),
            newsTitleDefault = newsTitle.data('title'),
            noPostsTitle = $('.page-template-research-landing .no-posts-title'),
            clearAll = $('.page-template-research-landing .news-search .clear-all');

        loadMoreNews.click(function(){

          var searchTerm = $('.search-name-form input').val(),
              type = $('.type-dropdown li.active a').data('type'),
              topic = $('.center-program-topic-dropdown li.active a').data('topic'),
              pageNum = newsWrap.data('page-num');

          $.ajax({
            url : js_vars.ajaxurl, // AJAX handler
            data : {
              'action': 'loadmoreresearch', // the parameter for admin-ajax.php
              'query': js_vars.posts, // loop parameters passed by wp_localize_script()
              'page' : js_vars.current_page, // current page
              type: type,
              topic: topic,
              max_page: pageNum,
              searchTerm: searchTerm
            },
            type : 'POST',
            beforeSend : function ( xhr ) {
              loadMoreNews.addClass('loading');
            },
            success : function( data ){
              if( data ) {
                newsWrap.append(data); // insert new posts
                js_vars.current_page++;

                if ( js_vars.current_page == pageNum ) {
                  loadMoreNews.hide(); // if last page, HIDE the button
                }

              } else {
                loadMoreNews.hide(); // if no data, HIDE the button as well
              }
              loadMoreNews.removeClass('loading');
            }
          });
          return false;
        });

        /*
        * Filter
        */
        $('.news-search .dropdown-wrap .dropdown-menu li').on('click', function(){

            var type = $('.type-dropdown li.active a').data('type'),
                topic = $('.center-program-topic-dropdown li.active a').data('topic'),
                topicTitle = $('.center-program-topic-dropdown li.active a').data('title');

        	$.ajax({
        		url : js_vars.ajaxurl,
        		// data : $('#blog_filters').serialize(), // form data
        		data: {
        			action: 'ecd_filterresearch',
        			'query': js_vars.posts,
        			topic: topic,
        			type: type
        		},
        		type : 'POST',
        		beforeSend: function( xhr ) {
        			body.addClass('loading');
        		},
        		success:function(data) {

        			// when filter applied:
        			// set the current page to 1
        			js_vars.current_page = 1;
        			//
        			// // set the new query parameters
        			js_vars.posts = data.posts;
        			//
        			// // set the new max page parameter
        			js_vars.max_page = data.max_page;

        			// change the button label back

        			// insert the posts to the container
        			newsWrap.html(data); // insert new posts

        			// hide load more button, if there are not enough posts for the second page
        			if ( data.max_page < 2 ) {
        				loadMoreNews.hide();
        			} else {
        				loadMoreNews.show();
              }
              
              if ( newsWrap.find('article').length < 1 ) {
                loadMoreNews.hide();
                noPostsTitle.show();
              } else {
                noPostsTitle.hide();
              }

              if ( topicTitle ) {
                newsTitle.text( topicTitle );
              } else {
                newsTitle.text( newsTitleDefault );
              }

              if ( $('input[name="search-name"]').val() || $('.dropdown-menu li').hasClass('active') ) {
                $('.news-search').addClass('news-search-active');
              } else {
                $('.news-search').removeClass('news-search-active');
              }

        			body.removeClass('loading');
        		}
        	});

        	// do not submit the form
        	return false;

        });

    /* Search Input */
    $('.news-search .search-name-form').on('submit', function(e){
      e.preventDefault();

        var searchTerm = $('.search-name-form input').val();

        $.ajax({
          url : js_vars.ajaxurl,
          // data : $('#blog_filters').serialize(), // form data
          data: {
            action: 'searchbynameresearch',
            'query': js_vars.posts,
            searchTerm: searchTerm
          },
          type : 'POST',
          beforeSend: function( xhr ) {
            body.addClass('loading');
          },
          success:function(data) {

            // when filter applied:
            // set the current page to 1
            js_vars.current_page = 1;
            //
            // // set the new query parameters
            js_vars.posts = data.posts;
            //
            // // set the new max page parameter
            js_vars.max_page = data.max_page;

            // change the button label back

            // insert the posts to the container
            newsWrap.html(data); // insert new posts

            // hide load more button, if there are not enough posts for the second page
            if ( data.max_page < 2 ) {
              loadMoreNews.hide();
            } else {
              loadMoreNews.show();
            }
            
            if ( newsWrap.find('article').length < 1 ) {
              loadMoreNews.hide();
              noPostsTitle.show();
            } else {
              noPostsTitle.hide();
            }

            newsTitle.text( newsTitleDefault );

            if ( $('input[name="search-name"]').val() || $('.dropdown-menu li').hasClass('active') ) {
              $('.news-search').addClass('news-search-active');
            } else {
              $('.news-search').removeClass('news-search-active');
            }

            body.removeClass('loading');
          }
        });

        // do not submit the form
        return false;

      });

      /* Clear All */
      clearAll.on('click', function() {
        $('.news-search .dropdown-menu li.active a').trigger('click');
        $('.news-search input[name="search-name"]').val('');
        $('.news-search form').trigger('submit');
      });

    }); // End Document Ready

}(jQuery));
