<?php

/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package ECD
 */

?>

</div><!-- #content -->

<footer class="site-footer">
    <div class="container">
        <div class="footer-columns">
            <div class="footer-logo">
                <a href="<?php echo site_url(); ?>">
                    <?php echo wp_get_attachment_image(get_field('logo', 'option'), 'full', false, array('alt' => get_bloginfo())); ?>
                </a>
            </div>

            <?php
            wp_nav_menu(array(
                'theme_location' => 'footer',
                'menu_id'        => 'footer-menu',
                'menu_class'     => 'menu'
            ));
            ?>

            <ul class="social">
                <?php
                $social_list = array(
                    array('facebook', 'fa-facebook-f'),
                    array('instagram', 'fa-instagram'),
                    array('linkedin', 'fa-linkedin-in'),
                    array('youtube', 'fa-youtube'),
                    array('twitter', 'fa-twitter')
                ); ?>
                <?php foreach ($social_list as $social) : ?>
                    <?php if (get_field($social[0], 'option')) : ?>
                        <li><a href="<?php echo get_field($social[0], 'option'); ?>" target="_blank"><i class="fab <?php echo $social[1]; ?>"></i></a></li>
                    <?php endif; ?>
                <?php endforeach; ?>
            </ul>

            <div class="logos">
                <?php while (have_rows('footer_logos', 'option')) : the_row(); ?>
                    <div class="logo">
                        <?php echo wp_get_attachment_image(get_sub_field('logo'), 'full'); ?>
                    </div>
                <?php endwhile; ?>
            </div>
        </div>
</footer><!-- .site-footer -->
</div><!-- #page -->

<?php wp_footer(); ?>
</body>

</html>