<?php

/**
 * The header for our theme.
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package ECD
 */

?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>

<head>
    <meta charset="<?php bloginfo('charset'); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="profile" href="http://gmpg.org/xfn/11">
    <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>">
    <link rel="shortcut icon" type="image/x-icon" href="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/favicon.png">

    <?php wp_head(); ?>

</head>

<body <?php body_class(); ?>>

    <div id="page" class="site">
        <a class="skip-link screen-reader-text" href="#main"><?php esc_html_e('Skip to content', 'ecd'); ?></a>

        <header class="site-header">

            <div class="inner-wrap">
                <button class="menu-toggle"><i></i><i></i><i></i></button>

                <div class="site-branding">
                    <a href="<?php echo esc_url(home_url('/')); ?>" rel="home">
                        <?php $logo = get_field('logo', 'option'); ?>
                        <?php echo wp_get_attachment_image($logo, 'full', false, array('alt' => get_bloginfo())); ?>
                    </a>
                </div><!-- .site-branding -->

                <nav id="site-navigation" class="main-navigation">

                    <?php
                    wp_nav_menu(array(
                        'theme_location'     =>     'primary',
                        'menu_id'            =>     'main-menu',
                        'menu_class'         =>     'menu',
                        'container_class'    =>     'main-menu-wrap'
                    ));
                    ?>
                </nav><!-- #site-navigation -->

                <div class="header-links">
                    <?php echo acf_link(get_field('login_link', 'option'), 'button white border no-bg', '', ''); ?>

                    <?php echo acf_link(get_field('register_link', 'option'), 'button orange', '', ''); ?>
                </div>

                <div class="lang-wrap">
                    <?php echo do_shortcode('[wpml_language_switcher]'); ?>
                </div>
            </div>
        </header><!-- .site-header -->

        <div id="content" class="site-content">