<?php
/**
 * Custom ACF functions.
 *
 * A place to custom functionality related to Advanced Custom Fields.
 *
 * @package ECD
 */

/**
 * Loop through and output ACF flexible content blocks for the current page.
 */
function ecd_display_content_blocks() {
	if ( have_rows( 'content_blocks' ) ) :
		while ( have_rows( 'content_blocks' ) ) : the_row();
			get_template_part( 'template-parts/content-blocks/block', get_row_layout() ); // Template part name MUST match layout ID.
		endwhile;
		wp_reset_postdata();
	endif;
}

if( function_exists('acf_add_options_page') ) {
	
	acf_add_options_page();
	
}

/**
 * ACF Link
 */

if ( ! function_exists( 'ecd_acf_link' ) ) :

	function ecd_acf_link($link, $class, $image = '', $before = '') {
		if ( $link ) :
			$link_url = $link['url'];
			$link_title = $link['title'];
			$link_target = ( $link['target'] != '' ) ? 'target="' . $link['target'] . '"' : '';
		
			return '<a href="' . $link_url .'" class="' . $class . '"' . $link_target . '>' . $before . $link_title . $image . '</a>';
		endif;
	}

endif;

// ACF Google Map Api Key
function my_acf_google_map_api( $api ){
	
	$api['key'] = 'AIzaSyC5SSyVy0eAzj-T-XNQFlLarAsedYCWdqI';
	
	return $api;
	
}

add_filter('acf/fields/google_map/api', 'my_acf_google_map_api');