<?php

/**
 * Post Taxonomy_names
 */
add_action('init', 'register_post_name_init');
function register_post_name_init()
{

    /* -----------------------------------------------------------------------------
 * Post Taxonomy_name
 * ----------------------------------------------------------------------------*/

    // FAQs
    $labels = array(
        'name'               => _x('FAQs', 'post type general name', 'ecd'),
        'singular_name'      => _x('FAQ', 'post type singular name', 'ecd'),
        'menu_name'          => _x('FAQs', 'admin menu', 'ecd'),
        'name_admin_bar'     => _x('FAQ', 'add new on admin bar', 'ecd'),
        'add_new'            => _x('Add New', 'FAQ', 'ecd'),
        'add_new_item'       => __('Add New FAQ', 'ecd'),
        'new_item'           => __('New FAQ', 'ecd'),
        'edit_item'          => __('Edit FAQ', 'ecd'),
        'view_item'          => __('View FAQ', 'ecd'),
        'all_items'          => __('All FAQs', 'ecd'),
        'search_items'       => __('Search FAQs', 'ecd'),
        'parent_item_colon'  => __('Parent FAQ:', 'ecd'),
        'not_found'          => __('No FAQs found.', 'ecd'),
        'not_found_in_trash' => __('No FAQs found in Trash.', 'ecd')
    );

    $args = array(
        'labels'             => $labels,
        'description'        => __('Description.', 'ecd'),
        'public'             => true,
        'publicly_queryable' => true,
        'show_ui'            => true,
        'show_in_menu'       => true,
        'query_var'          => true,
        'has_archive'        => true,
        'hierarchical'       => true,
        'menu_position'      => 2,
        'menu_icon'          => 'dashicons-calendar',
        'supports'           => array('title', 'editor')
    );

    register_post_type('faqs', $args);

    // Service Information
    $labels = array(
        'name'               => _x('Service Information', 'post type general name', 'ecd'),
        'singular_name'      => _x('Service Information', 'post type singular name', 'ecd'),
        'menu_name'          => _x('Service Information', 'admin menu', 'ecd'),
        'name_admin_bar'     => _x('Service Information', 'add new on admin bar', 'ecd'),
        'add_new'            => _x('Add New', 'Service Information', 'ecd'),
        'add_new_item'       => __('Add New Service Information', 'ecd'),
        'new_item'           => __('New Service Information', 'ecd'),
        'edit_item'          => __('Edit Service Information', 'ecd'),
        'view_item'          => __('View Service Information', 'ecd'),
        'all_items'          => __('All Service Information', 'ecd'),
        'search_items'       => __('Search Service Information', 'ecd'),
        'parent_item_colon'  => __('Parent Service Information:', 'ecd'),
        'not_found'          => __('No Service Information found.', 'ecd'),
        'not_found_in_trash' => __('No Service Information found in Trash.', 'ecd')
    );

    $args = array(
        'labels'             => $labels,
        'description'        => __('Description.', 'ecd'),
        'public'             => true,
        'publicly_queryable' => true,
        'show_ui'            => true,
        'show_in_menu'       => true,
        'query_var'          => true,
        'has_archive'        => true,
        'hierarchical'       => true,
        'menu_position'      => 2,
        'supports'           => array('title', 'editor')
    );

    register_post_type('service-information', $args);

    // ATMs
    $labels = array(
        'name'               => _x('ATMs', 'post type general name', 'ecd'),
        'singular_name'      => _x('ATM', 'post type singular name', 'ecd'),
        'menu_name'          => _x('ATMs', 'admin menu', 'ecd'),
        'name_admin_bar'     => _x('ATM', 'add new on admin bar', 'ecd'),
        'add_new'            => _x('Add New', 'ATM', 'ecd'),
        'add_new_item'       => __('Add New ATM', 'ecd'),
        'new_item'           => __('New ATM', 'ecd'),
        'edit_item'          => __('Edit ATM', 'ecd'),
        'view_item'          => __('View ATM', 'ecd'),
        'all_items'          => __('All ATMs', 'ecd'),
        'search_items'       => __('Search ATMs', 'ecd'),
        'parent_item_colon'  => __('Parent ATM:', 'ecd'),
        'not_found'          => __('No ATMs found.', 'ecd'),
        'not_found_in_trash' => __('No ATMs found in Trash.', 'ecd')
    );

    $args = array(
        'labels'             => $labels,
        'description'        => __('Description.', 'ecd'),
        'public'             => false,
        'publicly_queryable' => false,
        'show_ui'            => true,
        'show_in_menu'       => true,
        'query_var'          => true,
        'has_archive'        => true,
        'hierarchical'       => true,
        'menu_position'      => 2,
        'menu_icon'          => 'dashicons-location',
        'supports'           => array('title', 'thumbnail')
    );

    register_post_type('atm', $args);

    // Merchants
    $labels = array(
        'name'               => _x('Merchant', 'post type general name', 'ecd'),
        'singular_name'      => _x('Merchant', 'post type singular name', 'ecd'),
        'menu_name'          => _x('Merchants', 'admin menu', 'ecd'),
        'name_admin_bar'     => _x('Merchant', 'add new on admin bar', 'ecd'),
        'add_new'            => _x('Add New', 'Merchant', 'ecd'),
        'add_new_item'       => __('Add New Merchant', 'ecd'),
        'new_item'           => __('New Merchant', 'ecd'),
        'edit_item'          => __('Edit Merchant', 'ecd'),
        'view_item'          => __('View Merchant', 'ecd'),
        'all_items'          => __('All Merchants', 'ecd'),
        'search_items'       => __('Search Merchants', 'ecd'),
        'parent_item_colon'  => __('Parent Merchant:', 'ecd'),
        'not_found'          => __('No Merchants found.', 'ecd'),
        'not_found_in_trash' => __('No Merchants found in Trash.', 'ecd')
    );

    $args = array(
        'labels'             => $labels,
        'description'        => __('Description.', 'ecd'),
        'public'             => false,
        'publicly_queryable' => false,
        'show_ui'            => true,
        'show_in_menu'       => true,
        'query_var'          => true,
        'has_archive'        => true,
        'hierarchical'       => true,
        'menu_position'      => 2,
        'menu_icon'          => 'dashicons-location',
        'supports'           => array('title', 'thumbnail')
    );

    register_post_type('merchant', $args);
}

/**
 * Taxonomies
 */
add_action('init', 'register_taxonomies', 0);

function register_taxonomies()
{

    /* -----------------------------------------------------------------------------
   * Taxonomies
   * ----------------------------------------------------------------------------*/

    // Type
    $labels = array(
        'name'              => _x('Category', 'taxonomy general name'),
        'singular_name'     => _x('Category', 'taxonomy singular name'),
        'search_items'      => __('Search Category'),
        'all_items'         => __('All Category'),
        'parent_item'       => __('Parent Category'),
        'parent_item_colon' => __('Parent Category:'),
        'edit_item'         => __('Edit Category'),
        'update_item'       => __('Update Category'),
        'add_new_item'      => __('Add New Category'),
        'new_item_name'     => __('New Category Name'),
        'menu_name'         => __('Category'),
    );

    $args = array(
        'hierarchical'      => true,
        'publicly_queryable' => false,
        'labels'            => $labels,
        'show_ui'           => true,
        'show_admin_column' => true,
        'query_var'         => false
    );

    register_taxonomy('faq-category', array('faqs'), $args);

    // ATM City
    $labels = array(
        'name'              => _x('City', 'taxonomy general name'),
        'singular_name'     => _x('City', 'taxonomy singular name'),
        'search_items'      => __('Search Cities'),
        'all_items'         => __('All Cities'),
        'parent_item'       => __('Parent City'),
        'parent_item_colon' => __('Parent City:'),
        'edit_item'         => __('Edit City'),
        'update_item'       => __('Update City'),
        'add_new_item'      => __('Add New City'),
        'new_item_name'     => __('New City Name'),
        'menu_name'         => __('City'),
    );

    $args = array(
        'hierarchical'      => true,
        'publicly_queryable' => false,
        'labels'            => $labels,
        'show_ui'           => true,
        'show_admin_column' => true,
        'query_var'         => false
    );

    register_taxonomy('atm-city', array('atm'), $args);

    // Merchant City
    $labels = array(
        'name'              => _x('City', 'taxonomy general name'),
        'singular_name'     => _x('City', 'taxonomy singular name'),
        'search_items'      => __('Search Cities'),
        'all_items'         => __('All Cities'),
        'parent_item'       => __('Parent City'),
        'parent_item_colon' => __('Parent City:'),
        'edit_item'         => __('Edit City'),
        'update_item'       => __('Update City'),
        'add_new_item'      => __('Add New City'),
        'new_item_name'     => __('New City Name'),
        'menu_name'         => __('City'),
    );

    $args = array(
        'hierarchical'      => true,
        'publicly_queryable' => false,
        'labels'            => $labels,
        'show_ui'           => true,
        'show_admin_column' => true,
        'query_var'         => false
    );

    register_taxonomy('merchant-city', array('merchant'), $args);
}
