<?php
/**
 * The template for displaying search results pages.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package ECD
 */



get_header(); ?>

<div id="primary" class="content-area">
	<main id="main" class="site-main" role="main">
        
        <section class="page-hero-section" style="background-image:url(<?php echo wp_get_attachment_image_url(get_field('page_hero_image', 'option'), 'full'); ?>)">
            <div class="container">
                <?php if (function_exists('yoast_breadcrumb')) {
                    yoast_breadcrumb('<p id="breadcrumbs">', '</p>');
                } ?>
                <h1><?php _e( 'Search results for:', 'ecd' ); ?> "<?php echo get_search_query(); ?>"</h1>
            </div>
        </section>


		<section class="main-page-content search-content-wrap">
			<div class="container">
				<div class="search-results-wrap">
					<?php
					if ( have_posts() ) :

						while ( have_posts() ) : the_post();

							get_template_part( 'template-parts/search', 'result' );

						endwhile; // End of the loop.

					else :

						echo '<h3 class="no-result">No results found for selected terms</h3>';

					endif;
					?>
				</div>
				<?php ecd_page_numbers_pagination(); ?>
			</div>
		</section>

	</main><!-- #main -->
</div><!-- #primary -->

<?php
get_footer();
