<?php

/**
 * The template for displaying all single posts.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package ECD
 */

$cat = get_the_category()[0];
$title = (is_singular('post')) ? __('Blog', 'ecd') : __('Service Information', 'ecd');
$title = (is_singular('faqs')) ? __('FAQ', 'ecd') : $title;

get_header(); ?>

<div id="primary" class="content-area">
    <main id="main" class="site-main" role="main">
        <?php while (have_posts()) : the_post(); ?>
            <section class="page-hero-section" style="background-image:url(<?php echo wp_get_attachment_image_url(get_field('page_hero_image', 'option'), 'full'); ?>)">
                <div class="container">
                    <?php if (function_exists('yoast_breadcrumb')) {
                        yoast_breadcrumb('<p id="breadcrumbs">', '</p>');
                    } ?>
                    <h2><?php echo $title; ?></h2>

                    <div class="page-hero-links">
                        <?php echo ecd_acf_link(get_field('login_link', 'option'), 'button white no-bg border'); ?>
                        <?php echo ecd_acf_link(get_field('register_link', 'option'), 'button orange'); ?>
                    </div>
                </div>
            </section>

            <section class="post-main">
                <div class="container">
                    <div class="post-header">
                        <h1><?php the_title(); ?></h1>

                        <p class="date-author-category">
                            <?php if (!is_singular('faqs')) : ?><?php the_time('d.m.Y.'); ?><?php endif; ?>
                            <?php if (is_singular('post')) : ?>
                                <span>/</span>
                                <?php _e('Author:', 'ecd'); ?> <?php echo get_the_author(); ?>
                            <?php endif; ?>
                            <?php if ($cat) : ?>
                                <span>/</span>
                                <a href="<?php echo get_term_link($cat); ?>" class="category"><?php _e('Category:', 'ecd'); ?> <?php echo $cat->name; ?></a>
                            <?php endif; ?>
                        </p>
                    </div>

                    <div class="post-content">
                        <?php the_content(); ?>
                    </div>

                    <div class="tags-wrap"><?php the_tags('', '', ''); ?></div>

                    <?php if (is_singular('post')) : ?>
                        <div class="share-wrap">
                            <p><?php _e('Share article:', 'ecd'); ?></p>
                            <?php echo do_shortcode('[ssba]'); ?>
                        </div>
                    <?php endif; ?>
                </div>
            </section>

        <?php endwhile; ?>
    </main><!-- #main -->
</div><!-- #primary -->

<?php
get_footer();
