<?php
$image = (has_post_thumbnail()) ? get_the_post_thumbnail_url(get_the_ID(), 'full') : wp_get_attachment_image_url(get_field('logo', 'option'));
$class = (has_post_thumbnail()) ? '' : 'no-thumbnail';
?>

<article class="post-wrap">
    <a href="<?php the_permalink(); ?>" class="inner-wrap">
        <div class="image <?php echo $class; ?>" style="background-image:url(<?php echo $image; ?>)"></div>
        <div class="content">
            <p class="date-author"><?php the_time('d.m.Y.'); ?>
                <span><?php _e('Author:', 'ecd'); ?> <?php echo get_the_author(); ?></span>
            </p>
            <h3><?php the_title(); ?></h3>
            <?php the_excerpt(); ?>

            <div class="action-bar">
                <?php
                $cat = get_the_category()[0];
                ?>
                <?php if ($cat) : ?>
                    <span class="cat-link" style="background-color:<?php echo get_field('color', 'category_' . $cat->term_id); ?>"class="category"><?php echo $cat->name; ?></span>
                <?php endif; ?>

                <span class="read-more"><?php _e('Read More', 'ecd'); ?> <i class="fas fa-chevron-right"></i></span>
            </div>
        </div>
    </a>
</article>