<?php
/**
 * Template part for displaying search results.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package ECD
 */

 ?>

<?php
    $link_url = get_the_permalink();
    $target = '';
    
    if ( get_field( 'link' ) && get_field( 'external_link' ) ) :
        $link = get_field( 'external_link' );
        $link_url = $link['url'];
        $target = 'target="' . $link['target'] . '"';
    endif;

    $class = ( has_post_thumbnail() ) ? '' : 'no-image';
?>

<article class="search-result">
    <?php if ( has_post_thumbnail() ) : ?>
        <div class="image-wrap">
            <a href="<?php echo esc_url( $link_url ); ?>" <?php echo $target; ?>><?php the_post_thumbnail( 'thumbnail' ); ?></a>
        </div>
    <?php endif; ?>
    <div class="content <?php echo $class; ?>">
        <h4><?php the_title(); ?></h4>
        <p><?php echo get_the_excerpt(); ?></p>
        <a href="<?php echo esc_url( $link_url ); ?>" class="button orange small border" <?php echo $target; ?>><?php _e( 'Read More', 'ecd' ); ?></a>
    </div>
</article>