<?php

/**
 * Template Name: About Us
 */

get_header(); ?>

<div id="primary" class="content-area">
    <main id="main" class="site-main" role="main">
        <?php while (have_posts()) : the_post(); ?>
            <?php get_template_part('template-parts/page-hero'); ?>

            <section class="company-info-section">
                <div class="container">
                    <h3><?php the_field('info_title'); ?></h3>
                    <div class="info-wrap">
                        <?php while (have_rows('info_items')) : the_row(); ?>
                            <?php if (get_row_index() > 1) : ?><div class="separator"></div><?php endif; ?>

                            <div class="item">
                                <?php the_sub_field('info'); ?>
                            </div>
                        <?php endwhile; ?>
                    </div>
                </div>
            </section>

            <section class="timeline-section">
                <div class="container">
                    <h3><?php the_field('story_title'); ?></h3>

                    <?php
                    $counter = 1;
                    $count = 0;
                    while (have_rows('timeline')) : the_row();
                        while (have_rows('events')) : the_row();
                            $count++;
                        endwhile;
                    endwhile;
                    $count_class = $count % 5;
                    $count_class_mobile = $count % 2;
                    ?>

                    <div class="timeline-wrap last-<?php echo $count_class; ?>">
                        <?php while (have_rows('timeline')) : the_row(); ?>
                            <?php $year = get_sub_field('year'); ?>
                            <?php while (have_rows('events')) : the_row(); ?>
                                <?php if ($counter % 5 == 1) : ?>
                                    <div class="row-wrap">
                                        <span class="dashed-top"></span>
                                        <span class="dashed-right"></span>
                                        <span class="dashed-bottom"></span>
                                    <?php endif; ?>
                                    <div class="event <?php if (get_row_index() == 1) : ?>first<?php endif; ?>">
                                        <?php if (get_row_index() == 1) : echo '<div class="year">' . $year . '</div>';
                                        endif; ?>
                                        <div class="icon"><?php echo wp_get_attachment_image(get_sub_field('icon'), 'full'); ?></div>
                                        <p><?php the_sub_field('text'); ?></p>
                                    </div>
                                    <?php if (($counter > 1 && $counter % 5 == 0) || $counter == $count) : ?></div><?php endif; ?>
                                <?php $counter++; ?>
                            <?php endwhile; ?>
                        <?php endwhile; ?>
                    </div>
                    
                    <?php $counter = 1; ?>
                    <div class="timeline-wrap timeline-mobile last-<?php echo $count_class_mobile; ?>">
                        <?php while (have_rows('timeline')) : the_row(); ?>
                            <?php $year = get_sub_field('year'); ?>
                            <?php while (have_rows('events')) : the_row(); ?>
                                <?php if ($counter % 2 == 1) : ?>
                                    <div class="row-wrap">
                                        <span class="dashed-top"></span>
                                        <span class="dashed-right"></span>
                                        <span class="dashed-bottom"></span>
                                    <?php endif; ?>
                                    <div class="event <?php if (get_row_index() == 1) : ?>first<?php endif; ?>">
                                        <?php if (get_row_index() == 1) : echo '<div class="year">' . $year . '</div>';
                                        endif; ?>
                                        <div class="icon"><?php echo wp_get_attachment_image(get_sub_field('icon'), 'full'); ?></div>
                                        <p><?php the_sub_field('text'); ?></p>
                                    </div>
                                    <?php if (($counter > 1 && $counter % 2 == 0) || $counter == $count) : ?></div><?php endif; ?>
                                <?php $counter++; ?>
                            <?php endwhile; ?>
                        <?php endwhile; ?>
                    </div>
                </div>
            </section>

            <section class="team-section">
                <div class="container">
                    <h3><?php the_field('team_title'); ?></h3>
                    <div class="row">
                        <?php while (have_rows('our_team')) : the_row(); ?>
                            <div class="team-member">
                                <div class="image" style="background-image:url(<?php echo wp_get_attachment_image_url(get_sub_field('image'), 'full'); ?>)"></div>
                                <p class="name"><?php the_sub_field('name'); ?></p>
                                <p class="title"><?php the_sub_field('title'); ?></p>
                            </div>
                        <?php endwhile; ?>
                    </div>
                </div>
            </section>

        <?php endwhile; ?>

        <?php
        $title = get_field('news_title');
        $text = get_field('news_text');
        $args = array(
            'posts_per_page'     =>  2,
            'post_type'          =>  'post',
        );
        $news = new WP_Query($args);
        ?>
        <section class="news-section">

            <div class="container">
                <h2 class="section-title"><?php echo $title; ?></h2>

                <p class="text"><?php echo $text; ?></p>

                <div class="posts-wrap">
                    <?php while ($news->have_posts()) : $news->the_post(); ?>

                        <?php get_template_part('template-parts/content', 'post'); ?>

                    <?php endwhile; ?>
                </div>
            </div>

        </section>
        <?php wp_reset_query(); ?>
    </main><!-- #main -->
</div><!-- #primary -->

<?php
get_footer();
