<?php

/**
 * Template Name: Consultations
 */

get_header(); ?>

<div id="primary" class="content-area">
    <main id="main" class="site-main" role="main">
        <?php while (have_posts()) : the_post(); ?>

            <?php get_template_part('template-parts/page-hero'); ?>

            <section class="consultation-section">
                <div class="intro-text">
                    <div class="container">
                        <?php the_content(); ?>
                    </div>
                </div>

                <?php while (have_rows('staff')) : the_row(); ?>
                    <div class="member-wrap">
                        <div class="container">
                            <div class="image"><?php echo wp_get_attachment_image(get_sub_field('image'), 'full'); ?></div>
                            <div class="text-wrap">
                                <p class="name"><?php the_sub_field('name'); ?> - <?php the_sub_field('title'); ?></p>
                                <?php the_sub_field('bio'); ?>
                            </div>
                        </div>
                    </div>
                <?php endwhile; ?>
            </section>
            
        <?php endwhile; ?>
    </main><!-- #main -->
</div><!-- #primary -->

<?php
get_footer();
