<?php

/**
 * Template Name: Crypto ATM
 */
$types = array();
$args = array('post_type'  =>  'atm', 'posts_per_page' => -1);
$atms = new WP_Query($args);

$cities = get_terms('atm-city', array());

while ($atms->have_posts()) : $atms->the_post();
    if (!in_array(get_field('atm_type'), $types)) array_push($types, get_field('atm_type'));
endwhile;
wp_reset_query();

function buy_sell($string)
{
    $string = ($string == 'sell/buy') ? 'Buy and Sell' : $string;
    echo ucfirst($string);
}

get_header(); ?>

<div id="primary" class="content-area">
    <main id="main" class="site-main" role="main">
        <?php while (have_posts()) : the_post(); ?>

            <?php get_template_part('template-parts/page-hero'); ?>

        <?php endwhile; ?>

        <section class="hash-go-section">
            <div class="container">
                <div class="intro-text">
                    <div class="text">
                        <?php the_content(); ?>
                    </div>

                    <div class="image-wrap"><?php echo wp_get_attachment_image(get_field('image'), 'full'); ?></div>
                </div>

                <div class="locations-wrap">
                    <h3><?php the_field('title'); ?></h3>

                    <div class="action-bar">
                        <div class="dropdown-wrap city-select" data-selected="">
                            <button class="dropdown-button"><span><?php _e('City', 'ecd'); ?></span></button>
                            <ul class="dropdown-menu">
                                <li><span data-value=""><?php _e('All Cities', 'ecd'); ?></span></li>
                                <?php foreach ($cities as $city) : ?>
                                    <li><span data-value="<?php echo $city->name; ?>"><?php echo $city->name; ?></span></li>
                                <?php endforeach; ?>
                            </ul>
                        </div>
                        <div class="dropdown-wrap atm-select" data-selected="">
                            <button class="dropdown-button"><span><?php _e('ATM Type', 'ecd'); ?></span></button>
                            <ul class="dropdown-menu">
                                <li><span data-value=""><?php _e('All ATMs', 'ecd'); ?></span></li>
                                <?php foreach ($types as $type) : ?>
                                    <li><span data-value="<?php echo $type; ?>">
                                            <?php
                                            if ($type == 'buy') : $atm_type = __('Buy', 'ecd2');
                                            elseif ($type == 'sell/buy') : $atm_type = __('Buy and Sell', 'ecd');
                                            endif;
                                            echo $atm_type; ?></span></li>
                                <?php endforeach; ?>
                            </ul>
                        </div>

                        <?php echo ecd_acf_link(get_field('locations_link'), 'simple-link', '<i class="fas fa-chevron-right"></i>'); ?>
                    </div>

                    <div class="atm-map">
                        <div class="map-wrap" id="atmmap">
                            <?php while ($atms->have_posts()) : $atms->the_post(); ?>
                                <?php
                                $address = get_field('address');
                                $latitude = get_field('latitude');
                                $longitudes = get_field('longitudes');
                                $atm_type = get_field('atm_type');
                                $status = get_field('status');
                                $working_days = get_field('working_days');
                                $saturday = get_field('saturday');
                                $sunday = get_field('sunday');
                                $cryptocurrencies = get_field('cryptocurrencies');
                                $limit_per_transaction = get_field('limit_per_transaction');
                                $limit_per_hour = get_field('limit_per_hour');
                                $buy_fee = get_field('buy_fee');
                                $limit_per_transaction = get_field('limit_per_transaction');
                                $registration_enabled = get_field('registration_enabled');
                                $city = get_the_terms(get_the_ID(), 'atm-city')[0]->name;
                                ?>
                                <div class="marker" data-lat="<?php echo $latitude; ?>" data-lng="<?php echo $longitudes; ?>" data-cat="<?php echo $city; ?>" data-type="<?php echo $atm_type; ?>">
                                    <div class="info-window">
                                        <h4 class="<?php echo ($status) ? 'active' : 'not-active'; ?>"><?php the_title(); ?></h4>
                                        <h5><?php echo $address; ?></h5>
                                        <p class="online-status notice <?php echo ($status) ? 'green' : 'red'; ?>"><?php echo ($status) ? _e('Online', 'ecd') : _e('Offline', 'ecd'); ?></p>
                                        <?php
                                        if ($atm_type == 'buy') : $atm_type = __('Buy', 'ecd2');
                                        elseif ($atm_type == 'sell/buy') : $atm_type = __('Buy and Sell', 'ecd');
                                        endif;
                                        ?>

                                        <p class="buy"><?php echo $atm_type; ?></p>

                                        <p class="working-days"><?php if ($working_days) : ?><?php _e('Working days:', 'ecd'); ?> <strong><?php echo $working_days; ?></strong><br><?php endif; ?>
                                        <?php if ($saturday) : ?><?php _e('Saturday:', 'ecd'); ?> <strong><?php echo $saturday; ?></strong><br><?php endif; ?>
                                    <?php if ($sunday) : ?><?php _e('Sunday:', 'ecd'); ?> <strong><?php echo $sunday; ?><?php endif; ?></p>

                                        <p class="info"><?php _e('Cryptocurrencies:', 'ecd'); ?> <strong><?php echo $cryptocurrencies; ?></strong></br>
                                            <?php _e('Limit per transaction:', 'ecd'); ?> <strong><?php echo $limit_per_transaction; ?> RSD</strong></br>
                                            <?php _e(' Limit per hour:', 'ecd'); ?> <strong><?php echo $limit_per_hour; ?> RSD</strong></br>
                                            <?php _e('Buy fee:', 'ecd'); ?> <strong><?php echo $buy_fee; ?>%</strong></br>
                                            <?php _e('New customer registration:', 'ecd'); ?> <strong><?php echo ($registration_enabled) ? __('Yes', 'ecd') : __('No', 'ecd'); ?></strong></br>
                                    </div>
                                </div>
                            <?php endwhile; ?>
                            <?php wp_reset_query(); ?>
                        </div>
                    </div>
                </div>

                <div class="partners-wrap" id="locations">
                    <?php foreach ($cities as $city) : ?>
                        <?php $class = ($city->count == 1) ? 'one' : ''; ?>
                        <div class="city-wrap <?php echo $class; ?>">
                            <h4><?php echo $city->name; ?></h4>
                            <div class="row">
                                <?php
                                $args = array(
                                    'post_type'         =>  'atm',
                                    'posts_per_page'    =>  -1,
                                    'tax_query'         =>  array(
                                        'relation'  =>  'AND',
                                        array(
                                            'taxonomy' => 'atm-city',
                                            'field'    => 'slug',
                                            'terms'    => $city->slug,
                                            'compare'  => '='
                                        )
                                    )
                                );
                                $atms = new WP_Query($args);
                                ?>
                                <?php while ($atms->have_posts()) : $atms->the_post(); ?>
                                    <?php
                                    $address = get_field('address');
                                    $latitude = get_field('latitude');
                                    $longitudes = get_field('longitudes');
                                    $atm_type = get_field('atm_type');
                                    $status = get_field('status');
                                    $working_days = get_field('working_days');
                                    $saturday = get_field('saturday');
                                    $sunday = get_field('sunday');
                                    $cryptocurrencies = get_field('cryptocurrencies');
                                    $limit_per_transaction = get_field('limit_per_transaction');
                                    $limit_per_hour = get_field('limit_per_hour');
                                    $buy_fee = get_field('buy_fee');
                                    $limit_per_transaction = get_field('limit_per_transaction');
                                    $registration_enabled = get_field('registration_enabled');
                                    $city = get_the_terms(get_the_ID(), 'atm-city')[0]->name;
                                    ?>
                                    <div class="partner-wrap">
                                        <div class="inner-wrap">
                                            <div class="image" style="background-image:url(<?php echo get_the_post_thumbnail_url(get_the_ID(), 'full'); ?>);"></div>
                                            <h5 class="link-to-location" data-lat="<?php echo $latitude; ?>" data-lng="<?php echo $longitudes; ?>"><?php the_title(); ?></h5>
                                            <p><?php echo $address; ?></p>

                                            <p><?php echo ($status) ? _e('Online', 'ecd') : _e('Offline', 'ecd'); ?><br>
                                                <?php
                                                if ($atm_type == 'buy') : $atm_type = __('Buy', 'ecd2');
                                                elseif ($atm_type == 'sell/buy') : $atm_type = __('Buy and Sell', 'ecd');
                                                endif;
                                                echo $atm_type;
                                                ?></p>

                                            <p><?php if ($working_days) : ?><?php _e('Working days:', 'ecd'); ?> <?php echo $working_days; ?><br><?php endif; ?>
                                            <?php if ($saturday) : ?><?php _e('Saturday:', 'ecd'); ?> <?php echo $saturday; ?><br><?php endif; ?>
                                        <?php if ($sunday) : ?><?php _e('Sunday:', 'ecd'); ?> <?php echo $sunday; ?><?php endif; ?></p>
                                        </div>
                                    </div>
                                <?php endwhile; ?>
                            </div>
                        </div>
                    <?php endforeach; ?>

                </div>
            </div>
        </section>
    </main><!-- #main -->
</div><!-- #primary -->

<?php
get_footer();
