<?php

/**
 * Template Name: Education
 */

get_header(); ?>

<div id="primary" class="content-area">
    <main id="main" class="site-main" role="main">
        <?php while (have_posts()) : the_post(); ?>

            <?php get_template_part('template-parts/page-hero'); ?>

            <section class="education-section">
                <div class="container">
                    <div class="intro-text">
                        <?php the_content(); ?>
                    </div>

                    <div class="educations">
                        <?php while (have_rows('educations')) : the_row(); ?>
                            <div class="education-wrap">
                                <div class="inner-wrap" style="background-image:url(<?php echo wp_get_attachment_image_url(get_sub_field('image'), 'full'); ?>)">
                                    <a class="email" href="mailto:<?php the_sub_field('email'); ?>"><?php the_sub_field('email'); ?></a>
                                    <h4><?php the_sub_field('title'); ?></h4>
                                    <a href="<?php the_sub_field('url'); ?>" class="button white small"><?php _e('Details', 'ecd'); ?></a>
                                </div>
                            </div>
                        <?php endwhile; ?>
                    </div>
                </div>
            </section>

        <?php endwhile; ?>
    </main><!-- #main -->
</div><!-- #primary -->

<?php
get_footer();
