<?php

/**
 * Template Name: FAQ
 */

$terms = get_terms('faq-category', array());
get_header(); ?>

<div id="primary" class="content-area">
    <main id="main" class="site-main" role="main">
        <?php while (have_posts()) : the_post(); ?>
            <?php get_template_part('template-parts/page-hero'); ?>

            <section class="faq-section">
                <div class="container">
                    <div class="search-wrap">
                        <form method="get" class="search-form" action="<?php echo esc_url(home_url()); ?>">
                            <input class="search-field" id="search-field" type="text" name="s" value="<?php echo get_search_query() ?>" aria-required="false" autocomplete="off" placeholder="<?php echo esc_attr_x('Search', 'ecd') ?>" />
                            <button class="submit"><svg xmlns="http://www.w3.org/2000/svg" width="18" height="18" viewBox="0 0 18 18">
                                    <g id="Group_1760" data-name="Group 1760" transform="translate(-1391 -40.234)">
                                        <path id="Icon_Search" data-name="Icon Search" d="M56.474,26.472a1.78,1.78,0,0,1-2.511,0L50.3,22.809A7.456,7.456,0,1,1,52.813,20.3l3.661,3.664A1.773,1.773,0,0,1,56.474,26.472ZM49.716,13.184a4.616,4.616,0,1,0,0,6.528A4.615,4.615,0,0,0,49.716,13.184Z" transform="translate(1352.005 31.244)" fill="#5f91c7" fill-rule="evenodd" />
                                    </g>
                                </svg>
                            </button>
                            <input name="post_type" type="hidden" value="faqs" />
                        </form>
                    </div>
                    <div class="row">
                        <div class="sidebar">
                            <ul class="tab-nav">
                                <?php foreach ($terms as $key => $term) : ?>
                                    <?php $class = ($key == 0) ? 'active' : ''; ?>
                                    <li class="<?php echo $class; ?>"><a href="#<?php echo $term->slug; ?>"><?php echo $term->name; ?></a></li>
                                <?php endforeach; ?>
                            </ul>
                        </div>

                        <div class="tab-content">
                            <?php foreach ($terms as $key => $term) : ?>
                                <?php
                                $class = ($key == 0) ? 'active' : '';
                                $class_inner = ($key == 0) ? 'fade-in' : '';
                                ?>
                                <div class="tab <?php echo $class; ?>" id="<?php echo $term->slug; ?>">
                                    <div class="tab-inner-wrap <?php echo $class_inner; ?>">
                                        <h3><span><i class="fas fa-chevron-down"></i></span><?php echo $term->name; ?></h3>
                                        <?php
                                        $args = array(
                                            'post_type'      =>  'faqs',
                                            'posts_per_page' =>  -1,
                                            'tax_query'      =>  array(
                                                'relation'   =>  'AND',
                                                array(
                                                    'taxonomy'   =>  'faq-category',
                                                    'field'      =>  'id',
                                                    'terms'      =>  $term->term_id
                                                )
                                            )
                                        );
                                        $faq = new WP_Query($args);
                                        ?>
                                        <div class="qa-main-wrap">
                                            <?php while ($faq->have_posts()) : $faq->the_post(); ?>
                                                <div class="qa-wrap">
                                                    <div class="q-wrap"><span><i class="fas fa-chevron-down"></i></span><?php the_title(); ?></div>
                                                    <div class="a-wrap">
                                                        <div class="inner-wrap">
                                                            <?php the_content(); ?>
                                                        </div>
                                                    </div>
                                                </div>
                                            <?php endwhile; ?>
                                        </div>
                                    </div>
                                </div>
                            <?php endforeach; ?>
                        </div>
                    </div>
            </section>

        <?php endwhile; ?>

        </section>
        <?php wp_reset_query(); ?>
    </main><!-- #main -->
</div><!-- #primary -->

<?php
get_footer();
