<?php
$base_url = get_field( 'base_url', 'option' );
$image = get_field('hero_image');
$intro_text = get_field('intro_text');
$notice = get_field('notice');
$bg = (get_field('hero_image')) ? '<div class="hero-image" style="background-image:url(' . wp_get_attachment_image_url(get_field('hero_image'), 'full') . ' )"></div>' : '';
$mobile_bg = (get_field('mobile_hero_image')) ? '<div class="mobile-hero-image" style="background-image:url(' . wp_get_attachment_image_url(get_field('mobile_hero_image'), 'full') . ' )"></div>' : '';
?>
<section class="hero-section">

    <?php echo $bg; ?>
    <?php echo $mobile_bg; ?>

    <div class="container">

        <div class="intro-text">
            <div class="inner-wrap"><?php echo $intro_text; ?></div>

            <div class="page-hero-links">
                <?php echo ecd_acf_link(get_field('login_link', 'option'), 'button white no-bg border'); ?>
                <?php echo ecd_acf_link(get_field('register_link', 'option'), 'button orange'); ?>
            </div>
        </div>

        <?php
        $latest_news = get_field('latest_news');
        if ($latest_news) : ?>
            <div class="posts-scroller">
                <?php foreach ($latest_news as $news) : ?>
                    <div class="post-news"><a href="<?php echo get_permalink($news); ?>"><?php echo get_the_title($news); ?></a></div>
                <?php endforeach; ?>
            </div>
        <?php endif; ?>

        <div class="currencies-wrap">
            <?php
            $currencies = file_get_contents(get_field( 'api_currencies', 'option' ));
            $prices = file_get_contents(get_field( 'api_prices', 'option' ));
            $changes = file_get_contents(get_field( 'api_price_changes', 'option' ));

            $currencies = json_decode($currencies);
            $prices = json_decode($prices);
            $changes = json_decode($changes);
            ?>

            <?php foreach ($currencies as $currency) : ?>
                <?php
                $code = $currency->code;
                $name = $currency->name;
                $image_url = $currency->image_url;
                $svg = file_get_contents($image_url);
                $find_string = '<svg';
                $position = strpos($svg, $find_string);
                $svg_code = substr($svg, $position);
                $color = $currency->color;
                // $price = (get_locale() == 'en_US') ? '$ ' . number_format($prices->usd_prices->$code, 0, '.', ',') : number_format($prices->rsd_prices->$code, 0, ',', '.') . ' RSD';
                $price = number_format($prices->rsd_prices->$code, 0, ',', '.') . ' RSD';
                $change_color = ($changes->$code >= 0) ? 'green' : 'red';
                $change_code = ($changes->$code >= 0) ? '+ ' . $changes->$code : '- ' . str_replace('-', '', $changes->$code);
                ?>
                <div class="currency-row">
                    <div class="icon-wrap">
                        <span class="icon" data-color="<?php echo $color; ?>"><?php echo $svg_code; ?></span>
                        <span class="name"><?php echo $name; ?></span>
                        <span class="short-name"><?php echo $code; ?></span>
                    </div>
                    <div class="price-wrap">
                        <div class="price"><?php echo $price; ?></div>
                        <div class="change <?php echo $change_color; ?>"><?php echo $change_code; ?>%</div>
                    </div>
                    <div class="buttons">
                        <a href="<?php echo $base_url; ?>/direct/buy/<?php echo $code; ?>/" class="button orange small"><?php _e('Buy', 'ecd'); ?></a>
                        <a href="<?php echo $base_url; ?>/direct/sell/<?php echo $code; ?>/" class="button white small"><?php _e('Sell', 'ecd'); ?></a>
                    </div>
                </div>
            <?php endforeach; ?>
        </div>

        <div class="notice"><?php echo $notice; ?></div>
    </div>

</section>

<section class="information-section">
    <?php
    $latest_news = get_field('latest_news');
    if ($latest_news) : ?>
        <div class="posts-scroller">
            <?php foreach ($latest_news as $news) : ?>
                <div class="post-news"><a href="<?php echo get_permalink($news); ?>"><?php echo get_the_title($news); ?></a></div>
            <?php endforeach; ?>
        </div>
    <?php endif; ?>
    
    <div class="notice"><?php echo $notice; ?></div>
</section>