<?php

/**
 * Template Name: Shop
 */

$base_url = get_field('base_url', 'option');
$api = get_field('api_products', 'option');

get_header(); ?>

<div id="primary" class="content-area">
    <main id="main" class="site-main" role="main">
        <?php while (have_posts()) : the_post(); ?>
            <?php get_template_part('template-parts/page-hero'); ?>

            <?php if ($api) : ?>
                <section class="products-section">
                    <div class="container">
                        <div class="row">
                            <?php
                            $products = file_get_contents($api);
                            $products = json_decode($products);
                            ?>

                            <?php foreach ($products as $product) : ?>
                                <?php
                                $id = $product->id;
                                $name = $product->name;
                                $descriptions = $product->descriptions;
                                $price = number_format($product->price, 0, ".", ".");
                                $public = $product->public;
                                $is_active = $product->is_active;
                                $image_url = $product->image_url;
                                $variations = $product->variations;
                                ?>
                                <div class="product-wrap">
                                    <a href="<?php echo $base_url; ?>/shop/<?php echo $id; ?>" class="inner-wrap">
                                        <h3><?php echo $name; ?></h3>
                                        <div class="image-wrap"><img src="<?php echo $image_url; ?>" alt="<?php echo $name; ?>" /></div>
                                        <div class="info-bar">
                                            <span class="price"><?php echo $price; ?> RSD</span>

                                            <span class="button orange small border"><?php _e('Details', 'ecd'); ?></span>
                                        </div>
                                    </a>
                                </div>
                            <?php endforeach ?>
                        </div>
                    </div>
                </section>
            <?php endif; ?>

        <?php endwhile; ?>
    </main><!-- #main -->
</div><!-- #primary -->

<?php
get_footer();
